# vue-ip-highlighter

A Vue component that highlights IP addresses and shows detailed information in a tooltip.

## Installation

```bash
npm install vue-ip-highlighter
```

## Usage

### Global Registration

```javascript
import Vue from 'vue'
import IPHighlighter from 'vue-ip-highlighter'

Vue.use(IPHighlighter)
```

### Local Registration

```vue
<template>
  <div>
    <ip-highlighter>
      <div>
        Example IP: 192.168.1.1
      </div>
    </ip-highlighter>
  </div>
</template>

<script>
import { IPHighlighter } from 'vue-ip-highlighter'

export default {
  components: {
    IPHighlighter
  }
}
</script>
```

## Props

| Property | Type | Default | Description |
|----------|------|---------|-------------|
| apiUrl | String | https://your-api.com/ip | API address |
| requestConfig | Object | { credentials: 'include' } | Request configuration |

## License

MIT
